Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.macs
Class BlockCipherMac

    java.lang.Object
      org.bouncycastle.crypto.macs.BlockCipherMac

All Implemented Interfaces:
  Mac

public class BlockCipherMac
extends java.lang.Object
implements Mac

Constructor Summary
`BlockCipherMac(BlockCipher cipher)` Deprecated. use CBCBlockCipherMac
`BlockCipherMac(BlockCipher cipher, int macSizeInBits)` Deprecated. use CBCBlockCipherMac

Method Summary
`int` | `doFinal(byte[] out, int outOff)` Compute the final statge of the MAC writing the output to the out parameter.
`java.lang.String` | `getAlgorithmName()` Return the name of the algorithm the MAC implements.
`int` | `getMacSize()` Return the block size for this cipher (in bytes).
`void` | `init(CipherParameters params)` Initialise the MAC.
`void` | `reset()` Reset the mac generator.
`void` | `update(byte in)` add a single byte to the mac for processing.
`void` | `update(byte[] in, int inOff, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockCipherMac

    public BlockCipherMac(BlockCipher cipher)

  Deprecated. use CBCBlockCipherMac

  create a standard MAC based on a block cipher. This will produce an authentication code half the length of the block size of the cipher.

Parameters:
  `cipher` - the cipher to be used as the basis of the MAC generation.

### BlockCipherMac

    public BlockCipherMac(BlockCipher cipher,
                          int macSizeInBits)

  Deprecated. use CBCBlockCipherMac

  create a standard MAC based on a block cipher with the size of the MAC been given in bits.

  Note: the size of the MAC must be at least 16 bits (FIPS Publication 113), and in general should be less than the size of the block cipher as it reduces the chance of an exhaustive attack (see Handbook of Applied Cryptography).

Parameters:
  `cipher` - the cipher to be used as the basis of the MAC generation.
  `macSizeInBits` - the size of the MAC in bits, must be a multiple of 8.

Method Detail

### getAlgorithmName

    public java.lang.String getAlgorithmName()

  Description copied from interface: `Mac`
  Return the name of the algorithm the MAC implements.

  Specified by:
    `getAlgorithmName` in interface `Mac`
  Returns:
    the name of the algorithm the MAC implements.

### init

    public void init(CipherParameters params)

  Description copied from interface: `Mac`
  Initialise the MAC.

  Specified by:
    `init` in interface `Mac`
  Parameters:
    `params` - the key and other data required by the MAC.

### getMacSize

    public int getMacSize()

  Description copied from interface: `Mac`
  Return the block size for this cipher (in bytes).

  Specified by:
    `getMacSize` in interface `Mac`
  Returns:
    the block size for this cipher in bytes.

### update

    public void update(byte in)

  Description copied from interface: `Mac`
  add a single byte to the mac for processing.

  Specified by:
    `update` in interface `Mac`
  Parameters:
    `in` - the byte to be processed.

### update

    public void update(byte[] in,
                       int inOff,
                       int len)

  Specified by:
    `update` in interface `Mac`
  Parameters:
    `in` - the array containing the input.
    `inOff` - the index in the array the data begins at.
    `len` - the length of the input starting at inOff.

### doFinal

    public int doFinal(byte[] out,
                       int outOff)

  Description copied from interface: `Mac`
  Compute the final statge of the MAC writing the output to the out parameter.

  doFinal leaves the MAC in the same state it was after the last init.

  Specified by:
    `doFinal` in interface `Mac`
  Parameters:
    `out` - the array the MAC is to be output to.
    `outOff` - the offset into the out buffer the output is to start at.

### reset

    public void reset()

  Reset the mac generator.

  Specified by:
    `reset` in interface `Mac`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD